Bug 884480 - user is not removed from group membership during initgroups
Summary: user is not removed from group membership during initgroups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-12-06 10:08 UTC by Jakub Hrozek
Modified: 2020-05-02 17:09 UTC (History)
6 users (show)

Fixed In Version: sssd-1.9.2-37.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:42:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2737 None None None 2020-05-02 17:09:13 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Jakub Hrozek 2012-12-06 10:08:39 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1695

If the group memberships change on the server, the user stays a member of the group in the sysdb and is not removed.

Comment 3 Kaushik Banerjee 2013-01-04 11:10:00 UTC
Verified in version 1.9.2-59

Output of beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: 2307bis_009 - bz 884480 - user is not removed from group membership during initgroups
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

adding new entry "uid=mof_user6,dc=example,dc=com"

adding new entry "cn=mofuser6_grp1,dc=example,dc=com"

adding new entry "cn=mofuser6_grp2,dc=example,dc=com"

spawn ssh -q -l mof_user6 localhost echo 'login successful'
mof_user6@localhost's password: 
Could not chdir to home directory /home/mof_user6: No such file or directory
login successful
:: [   PASS   ] :: Authentication successful, as expected
:: [   PASS   ] :: Running 'auth_success mof_user6 Secret123'
uid=66666(mof_user6) gid=66666(mofuser6_grp1) groups=66666(mofuser6_grp1),66667(mofuser6_grp2)
:: [   PASS   ] :: Running 'id mof_user6 | grep mofuser6_grp1 | grep mofuser6_grp2'

spawn ssh -q -l mof_user6 localhost echo 'login successful'
mof_user6@localhost's password: 
Could not chdir to home directory /home/mof_user6: No such file or directory
login successful
:: [   PASS   ] :: Authentication successful, as expected
:: [   PASS   ] :: Running 'auth_success mof_user6 Secret123'
:: [   PASS   ] :: Running 'id mof_user6 | grep mofuser6_grp1 | grep -v mofuser6_grp2'
'990c7257-09aa-4782-bc45-fd737ec19705'
2307bis-009-bz-884480-user-is-not-removed-from-group-membership-during-initgroups result: PASS

Comment 4 errata-xmlrpc 2013-02-21 09:42:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.